diff -urN /usr/ports/games/corewars/Makefile corewars/Makefile
--- /usr/ports/games/corewars/Makefile	Sat Feb 14 09:57:26 2004
+++ corewars/Makefile	Sat Oct  8 12:23:01 2005
@@ -11,14 +11,19 @@
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	alejandro@varnet.biz
 COMMENT=	A simulation game where the goal is to crash each other's programs
 
-USE_X_PREFIX=	yes
+BUILD_DEPENDS=	${LOCALBASE}/lib/libargp.a:${PORTSDIR}/devel/argp-standalone
+
 USE_GNOME=	gnometarget gtk12
+
 GNU_CONFIGURE=	yes
+CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
+		LDFLAGS="-L${LOCALBASE}/lib"
 
-MAN6=		corewars.6 corewars-cmd.6
+MAN6=		corewars.6
+MLINKS=		corewars.6 corewars-cmd.6
 
 post-install:
 .if !defined(NOPORTDOCS)
diff -urN /usr/ports/games/corewars/files/patch-src_Makefile.in corewars/files/patch-src_Makefile.in
--- /usr/ports/games/corewars/files/patch-src_Makefile.in	Wed Dec 31 21:00:00 1969
+++ corewars/files/patch-src_Makefile.in	Fri Oct  7 17:09:31 2005
@@ -0,0 +1,11 @@
+--- src/Makefile.in.orig	Wed Oct 23 09:52:33 2002
++++ src/Makefile.in	Fri Oct  7 17:09:27 2005
+@@ -538,7 +538,7 @@
+ corewars-cmd: $(corewars_cmd_OBJECTS) $(corewars_cmd_DEPENDENCIES)
+ 	@rm -f corewars-cmd
+ 	$(LINK) $(corewars_cmd_LDFLAGS) $(corewars_cmd_OBJECTS) \
+-	$(corewars_cmd_LDADD) -L/usr/lib -rdynamic -lm
++	$(corewars_cmd_LDADD) -largp -L/usr/lib -rdynamic -lm
+ # Tell versions [3.59,3.63) of GNU make to not export all variables.
+ # Otherwise a system limit (for SysV at least) may be exceeded.
+ .NOEXPORT:
diff -urN /usr/ports/games/corewars/pkg-plist corewars/pkg-plist
--- /usr/ports/games/corewars/pkg-plist	Sat Feb 14 09:57:26 2004
+++ corewars/pkg-plist	Fri Oct  7 17:10:12 2005
@@ -1,4 +1,5 @@
 bin/corewars
+bin/corewars-cmd
 %%DATADIR%%/abez.cw
 %%DATADIR%%/agent.cw
 %%DATADIR%%/backspawner.cw
